cgkrepair(8gx)

Name
cgkrepair — Repair broken Change Key and PCL properties

Synopsis
/usr/libexec/gromox/cgkrepair [options] -e [user]@domain

For a given store, cgkrepair looks at all folder and message objects whether they have reasonably-looking values for PR_CHANGE_KEY and PR_PREDECESSOR_CHANGE_LIST. It emits a line for objects with problems, along with status letters in square brackets to indicate individual tests that have failed.

message 6f5739h [--P] (new key: 8000008a04a7h)

The possible flags include:

•   Z: The size of PR_CHANGE_KEY did not match the requirements of the MS-OXCFXICS v25 specification c2.2.1.2.7.

•   N: PR_CHANGE_KEY is in the future.

•   P: PR_PREDECESSOR_LIST contains a Change Key that is in the future or which does not match the requirements of MS-OXCFXICS.

When a problem is found, or when --force-fix is specified, a new Change Key is issued and the PCL updated. Change Keys are a monotonic counter for recency, something quite like a timestamp, but not bound to a clock. Fixing Change Keys can make them go backwards, and since the server now apparently has an "older" item, clients do not necessarily synchronize it anymore, therefore, .ost files should be deleted to purge bad CKs from the client side as well.

Options

--force-fix
    Replace Change Keys and PCLs of all objects regardless of whether they were considered broken or not.

--skip-msg
    Only process folder objects.

-e [user]@domain
    Operate on the given private/user store or public/domain mailbox.

-n  Perform a dry run.